1.1

1.1

post /v1/security-group-rules

Description

Create Security Group rule.

State ACTIVE (CURRENT)

VersionNot Before
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SecurityGroupRuleCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
201CreatedSecurityGroupRuleShowResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = security-group 1.1"

Request body

{
    "description": "Example Description for Security Group Rule",
    "direction": "Ingress",
    "ethertype": "IPv4",
    "port_range_max": 22,
    "port_range_min": 22,
    "protocol": "TCP",
    "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
    "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
    "remote_ip_prefix": "1.1.1.1/32",
    "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
}

Example HTTP response

Response 201

{
    "security_group_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Example Description for Security Group Rule",
        "direction": "Ingress",
        "ethertype": "IPv4",
        "id": "10d8250e-f4eb-453a-96af-b50b5b514a1a",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "port_range_max": 22,
        "port_range_min": 22,
        "protocol": "TCP",
        "remote_address_group_id": "4b18494930bf4c5dbb97a9eb2ef68fe1",
        "remote_address_group_name": "ExampleAG1",
        "remote_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a",
        "remote_group_name": "ExampleSG2",
        "remote_ip_prefix": "1.1.1.1/32",
        "security_group_id": "06e5d676-f330-485a-94e9-47ac91cce09a"
    }
}